///////////////////////////////////////////////////////////////////////////////
//                                                                           //
// Copyright (C) 2006 by Intel Corporation and Carnegie Mellon University    //
//                                                                           //
///////////////////////////////////////////////////////////////////////////////

#ifndef __BROWNIAN_H
#define __BROWNIAN_H

#include "CodeModule.hxx"
#include "CatomWorld.hxx"

CODE_MODULE_PROTOTYPE( Brownian, Brownian );
using namespace std;

extern CatomWorld *worldPtr;

class Brownian : public CodeModule {
private:
	static double maxf;
public:
	Brownian(catomID _hostCatom) :
		CodeModule(_hostCatom) {}
	virtual void simulationStart();
	virtual void newTick();
};

#endif
